unit Unit1;

{$MODE objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls, chatserv, blcksock, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Memo1: TMemo;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  TButton(Sender).Caption := 'Server hrt';
  with TTCPChatDaemon.create do
  begin
    Port := Edit1.text;
    Resume;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var tcp: TTCPBlockSocket;
begin
  tcp := TTCPBlockSocket.Create;
  try
    tcp.Connect(Edit3.Text, Edit4.Text);
    if tcp.lastError = 0 then
    begin
      tcp.SendString('insert');
      if tcp.lastError = 0 then
      begin
        tcp.RecvString(5000);
        if tcp.lastError = 0 then
        begin
          tcp.SendString(Edit2.Text);
        end;
      end;
    end;
  finally
    tcp.free;
  end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var tcp: TTCPBlockSocket;
  s: string;
begin
  tcp := TTCPBlockSocket.Create;
  try
    tcp.Connect(Edit3.Text, Edit4.Text);
    if tcp.lastError = 0 then
    begin
      tcp.SendString('list_' + inttostr(Memo1.Lines.Count));
      if tcp.lastError = 0 then
      begin
        tcp.RecvString(5000);
        if tcp.lastError = 0 then
        begin
          s := tcp.RecvString(5000);
          if trim(s) <> '' then Memo1.text := s;
        end;
      end;
    end;
  finally
    tcp.free;
  end;
end;



end.
